import Utils from "~/utils"

/**
* Brtlat Check规则
*/
let checkObj = {
    "brdgrp.acb.namelc"                      :null,
    "brdgrp.cbs.max.amt"                      :null,
    "brdgrp.blk.docdis"                      :null,
    "brtp.furide"                      :null,
    "brdgrp.acb.adrelc"                      :null,
    "brtp.acbp.ptsget.sdamod.dadsnd"                      :null,
    "brdgrp.shp.namelc"                      :null,
    "brtp.shpp.ptsget.sdamod.dadsnd"                      :null,
    "brdgrp.acb.pts.extkey"                      :null,
    "brdgrp.rec.disdat"                      :null,
    "brdgrp.acb.pts.adrblk"                      :null,
    "brdgrp.shp.adrelc"                      :null,
    "brdgrp.shp.pts.adrblk"                      :null,
    "brdgrp.blk.setinsbr"                      :null,
    "brdgrp.blk.comcon"                      :null,
    "brdgrp.shp.pts.extkey"                      :null,
}

for (const key in checkObj) {
    if (Object.hasOwnProperty.call(checkObj, key)) {
        checkObj[key] = checkObj[key] ? checkObj[key] : Utils.reflectCheck(key)
    }
}
export default checkObj

