import Api from "~/service/Api";
import Pts from "../Common/Pts"
import Dids from "../Public/Dids"
import Pub from "../Public"
export default class Ditame{
    constructor () {
        this.data = {
						ditamep:{
							ramrollab:"",			//  Label for RAMROL		.ditamep.ramrollab
							recget:{
								sdamod:{
									seainf:"",			//  参考号		.ditamep.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.ditamep.recget.sdamod.dadsnd
								},
							},
							engcur:"",			//  修改总金额		.ditamep.engcur
							engamt:"",			//  修改总金额		.ditamep.engamt
							maxcur:"",			//  Currency of Maximum Amount		.ditamep.maxcur
							maxamt:"",			//  New Maximum Amount		.ditamep.maxamt
							cre707flg:"",			//  Create Amendment Message		.ditamep.cre707flg
							ramrol:"",			//  Request of Amendment send to		.ditamep.ramrol
							amenbr:"",			//  实际修改次数		.ditamep.amenbr
							hwzydi:"",			//  槧运装运地/服务提供低		.ditamep.hwzydi
							zchday:"",			//  最迟装运/服务提供日		.ditamep.zchday
							newday:"",			//  新最迟日期		.ditamep.newday
							hfmdes:"",			//  槧物/服务槸易描述		.ditamep.hfmdes
						},
						didgrp:{
							rec:{
								ownref:"",			//  Reference		.didgrp.rec.ownref
								nam:"",			//  Externally Displayed Name to Identify the Contract		.didgrp.rec.nam
								opndat:"",			//  Date L/C Opened/Issued		.didgrp.rec.opndat
								shpdat:"",			//  Shipment Date		.didgrp.rec.shpdat
								expdat:"",			//  Date of Expiry		.didgrp.rec.expdat
								resflg:"",			//  Reserved Contract		.didgrp.rec.resflg
								nomtop:"",			//  Amount Tolerance - Positive		.didgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.didgrp.rec.nomton
								expplc:"",			//  Place of Expiry		.didgrp.rec.expplc
								elcflg:"",			//  是否通过电证系统		.didgrp.rec.elcflg
								guaflg:"",			//  货押标识		.didgrp.rec.guaflg
								jyqflg:"",			//  假远期信用证		.didgrp.rec.jyqflg
								mytype:"",			//  槸易类型		.didgrp.rec.mytype
								dkflg:"",			//  开证类型		.didgrp.rec.dkflg
								idcode:"",			//  申请人统一社会信用代码		.didgrp.rec.idcode
								avbby:"",			//  Available by		.didgrp.rec.avbby
								shppar:"",			//  Partial Shipment		.didgrp.rec.shppar
								shptrs:"",			//  Transshipment		.didgrp.rec.shptrs
								conno:"",			//  合同编号		.didgrp.rec.conno
								concur:"",			//  合同币种		.didgrp.rec.concur
								shpfro:"",			//  Shipment from		.didgrp.rec.shpfro
								shpto:"",			//  For Transportation to		.didgrp.rec.shpto
								shppro:"",			//  服务提供地点		.didgrp.rec.shppro
								tenmaxday:"",			//  Maximum tenor in days		.didgrp.rec.tenmaxday
								tratyp:"",			//  运输方式		.didgrp.rec.tratyp
								fqtime:"",			//  分期时镧表		.didgrp.rec.fqtime
								sdsrfs:"",			//  输入运输方式		.didgrp.rec.sdsrfs
								fqzytgfw:"",			//  分期装运/提供服务		.didgrp.rec.fqzytgfw
								conamt:"",			//  合同金额		.didgrp.rec.conamt
								redclsflg:"",			//  Red/Green Clause		.didgrp.rec.redclsflg
								tzref:"",			//  通知行编号		.didgrp.rec.tzref
								avbwth:"",			//  指定的有关银行  		.didgrp.rec.avbwth
								fenctg:"",			//  是否可议付		.didgrp.rec.fenctg
								bdflg:"",			//  是否可保兑		.didgrp.rec.bdflg
								lcrtyp:"",			//  Form of Documentary Credit		.didgrp.rec.lcrtyp
							},
							cbs:{
								nom1:{
									cur:"",			//  Currency		.didgrp.cbs.nom1.cur
									amt:"",			//  信用证金额		.didgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Currency		.didgrp.cbs.max.cur
									amt:"",			//  信用证最大金额		.didgrp.cbs.max.amt
								},
							},
							apl:{
								pts:new Pts().data,
								namelc:"",			//  名称		.didgrp.apl.namelc
								adrelc:"",			//  地址		.didgrp.apl.adrelc
								dbfadrblkcn:"",			//  Chinese address		.didgrp.apl.dbfadrblkcn
							},
							ben:{
								pts:new Pts().data,
								namelc:"",			//  名称		.didgrp.ben.namelc
								adrelc:"",			//  地址		.didgrp.ben.adrelc
								dbfadrblkcn:"",			//  Chinese address		.didgrp.ben.dbfadrblkcn
							},
							beb:{
								pts:new Pts().data,
							},
							apb:{
								pts:new Pts().data,
							},
							blk:{
								defdet:"",			//  Deferred Payment Details		.didgrp.blk.defdet
								preper:"",			//  Presentation Period		.didgrp.blk.preper
								preperflg:"",			//  Presentation Period modified		.didgrp.blk.preperflg
								lcrgod:"",			//  Description of Goods		.didgrp.blk.lcrgod
								lcrdoc:"",			//  Documents Required		.didgrp.blk.lcrdoc
								adlcnd:"",			//  Additional Conditions		.didgrp.blk.adlcnd
								insbnk:"",			//  Instructions to Paying/Accepting/Negotiating Bank		.didgrp.blk.insbnk
								lcrgodame:"",			//  Description of Goods Amendment History		.didgrp.blk.lcrgodame
								lcrdocame:"",			//  Documents Required Amendment History		.didgrp.blk.lcrdocame
								adlcndame:"",			//  Additional  Conditions Amendment History		.didgrp.blk.adlcndame
								insbnkame:"",			//  Instructions to P/A/N Amendment History		.didgrp.blk.insbnkame
							    stamet:"",
							},
							adv:{
								pts:new Pts().data,
							},
							iss:{
								pts:new Pts().data,
							},
							apc:{
								pts:new Pts().data,
							},
							avb:{
								pts:new Pts().data,
							},
							cmb:{
								pts:new Pts().data,
							},
							rmb:{
								pts:new Pts().data,
							},
						},
						trnmod: new Pub().data.Trnmod,
						olddidgrp:{
							cbs:{
								nom1:{
									amt:"",			//  信用证金额		.olddidgrp.cbs.nom1.amt
								},
								max:{
									cur:"",			//  Currency		.olddidgrp.cbs.max.cur
									amt:"",			//  Balance		.olddidgrp.cbs.max.amt
								},
							},
							rec:{
								nomtop:"",			//  Amount Tolerance - Positive		.olddidgrp.rec.nomtop
								nomton:"",			//  Amount Tolerance - Negative		.olddidgrp.rec.nomton
								expdat:"",			//  到期日		.olddidgrp.rec.expdat
								shpdat:"",			//  Shipment Date		.olddidgrp.rec.shpdat
							},
							blk:{
								narhis:"",			//  Historic Overview of Narratives		.olddidgrp.blk.narhis
							},
						},
						ditp:{
							recget:{
								sdamod:{
									seainf:"",			//  		.ditp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.ditp.recget.sdamod.dadsnd
								},
							},
							usr:{
								extkey:"",			//  User ID		.ditp.usr.extkey
							},
							usrget:{
								sdamod:{
									seainf:"",			//  		.ditp.usrget.sdamod.seainf
								},
							},
							aplp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.ditp.aplp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.ditp.aplp.ptsget.sdamod.dadsnd
									},
								},
							},
							benp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.ditp.benp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.ditp.benp.ptsget.sdamod.dadsnd
									},
								},
							},
							zchday:"",			//  最迟装运/服务提供日		.ditp.zchday
							amt:"",			//  大写金额		.ditp.amt
							fenzhu:"",			//  分期装运		.ditp.fenzhu
							hwzydi:"",			//  槧运装运地/服务提供低		.ditp.hwzydi
							sdysfs:"",			//  手输运输方式/服务提供方式		.ditp.sdysfs
							hwfwms:"",			//  槧物/服务描述		.ditp.hwfwms
							signam:"",			//  name of authorized signatory		.ditp.signam
							bennam:"",			//  english name		.ditp.bennam
							aplname:"",			//  apl english name		.ditp.aplname
							remark:"",			//  Remark		.ditp.remark
						},
						liaall: new Pub().data.Liaall,
						setmod: new Pub().data.Setmod,
						ameadvrmk:"",			//  特殊规定条件		.ameadvrmk
						litameadv:"",			//  特殊规定		.litameadv
						bchname:"",			//  branch  name		.bchname
						issadr:"",			//  ADDRESS		.issadr
						pobzip:"",			//  ZIP Code Used when Addressing Postbox		.pobzip
						tel:"",			//  TEL PHONE		.tel
						fax:"",			//  FAX		.fax
						mtabut:{
							coninf:{
								oitinf:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitinf.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitinf.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitinf.oit.inflev
									},
								},
								oitset:{
									labinftxt:"",			//  Label for INFTXT		.mtabut.coninf.oitset.labinftxt
									oit:{
										inftxt:"",			//  Infotext		.mtabut.coninf.oitset.oit.inftxt
										inflev:"",			//  Infotext Level		.mtabut.coninf.oitset.oit.inflev
									},
								},
								conexedat:"",			//  执行日期		.mtabut.coninf.conexedat
								usr:{
									extkey:"",			//  User ID		.mtabut.coninf.usr.extkey
								},
							},
						},
						pageId: ""			// ctx的key
				}
    }
}